OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class Package

    java.lang.Object
      org.opennms.netmgt.config.collectd.Package

All Implemented Interfaces:
  java.io.Serializable

public class Package
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_excludeRangeList`
`private Filter` `_filter`
`private java.util.ArrayList` `_includeRangeList`
`private java.util.ArrayList` `_includeUrlList`
`private java.lang.String` `_name`
`private java.util.ArrayList` `_outageCalendarList`
`private java.util.ArrayList` `_serviceList`
`private java.util.ArrayList` `_specificList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Package()`

Method Summary
`void` `addExcludeRange(ExcludeRange vExcludeRange)`
`void` `addExcludeRange(int index, ExcludeRange vExcludeRange)`
`void` `addIncludeRange(IncludeRange vIncludeRange)`
`void` `addIncludeRange(int index, IncludeRange vIncludeRange)`
`void` `addIncludeUrl(int index, java.lang.String vIncludeUrl)`
`void` `addIncludeUrl(java.lang.String vIncludeUrl)`
`void` `addOutageCalendar(int index, java.lang.String vOutageCalendar)`
`void` `addOutageCalendar(java.lang.String vOutageCalendar)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addService(int index, Service vService)`
`void` `addService(Service vService)`
`void` `addSpecific(int index, java.lang.String vSpecific)`
`void` `addSpecific(java.lang.String vSpecific)`
`void` `clearExcludeRange()`
`void` `clearIncludeRange()`
`void` `clearIncludeUrl()`
`void` `clearOutageCalendar()`
`void` `clearService()`
`void` `clearSpecific()`
`java.util.Enumeration` `enumerateExcludeRange()`
`java.util.Enumeration` `enumerateIncludeRange()`
`java.util.Enumeration` `enumerateIncludeUrl()`
`java.util.Enumeration` `enumerateOutageCalendar()`
`java.util.Enumeration` `enumerateService()`
`java.util.Enumeration` `enumerateSpecific()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`ExcludeRange[]` `getExcludeRange()`
`ExcludeRange` `getExcludeRange(int index)`
`java.util.Collection` `getExcludeRangeCollection()`
`int` `getExcludeRangeCount()`
`Filter` `getFilter()` Returns the value of field 'filter'.
`IncludeRange[]` `getIncludeRange()`
`IncludeRange` `getIncludeRange(int index)`
`java.util.Collection` `getIncludeRangeCollection()`
`int` `getIncludeRangeCount()`
`java.lang.String[]` `getIncludeUrl()`
`java.lang.String` `getIncludeUrl(int index)`
`java.util.Collection` `getIncludeUrlCollection()`
`int` `getIncludeUrlCount()`
`java.lang.String` `getName()` Returns the value of field 'name'.
`java.lang.String[]` `getOutageCalendar()`
`java.lang.String` `getOutageCalendar(int index)`
`java.util.Collection` `getOutageCalendarCollection()`
`int` `getOutageCalendarCount()`
`Service[]` `getService()`
`Service` `getService(int index)`
`java.util.Collection` `getServiceCollection()`
`int` `getServiceCount()`
`java.lang.String[]` `getSpecific()`
`java.lang.String` `getSpecific(int index)`
`java.util.Collection` `getSpecificCollection()`
`int` `getSpecificCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeExcludeRange(ExcludeRange vExcludeRange)`
`boolean` `removeIncludeRange(IncludeRange vIncludeRange)`
`boolean` `removeIncludeUrl(java.lang.String vIncludeUrl)`
`boolean` `removeOutageCalendar(java.lang.String vOutageCalendar)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeService(Service vService)`
`boolean` `removeSpecific(java.lang.String vSpecific)`
`void` `setExcludeRange(ExcludeRange[] excludeRangeArray)`
`void` `setExcludeRange(int index, ExcludeRange vExcludeRange)`
`void` `setExcludeRangeCollection(java.util.Collection vExcludeRange)`
`void` `setFilter(Filter filter)` Sets the value of field 'filter'.
`void` `setIncludeRange(IncludeRange[] includeRangeArray)`
`void` `setIncludeRange(int index, IncludeRange vIncludeRange)`
`void` `setIncludeRangeCollection(java.util.Collection vIncludeRange)`
`void` `setIncludeUrl(int index, java.lang.String vIncludeUrl)`
`void` `setIncludeUrl(java.lang.String[] includeUrlArray)`
`void` `setIncludeUrlCollection(java.util.Collection vIncludeUrl)`
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setOutageCalendar(int index, java.lang.String vOutageCalendar)`
`void` `setOutageCalendar(java.lang.String[] outageCalendarArray)`
`void` `setOutageCalendarCollection(java.util.Collection vOutageCalendar)`
`void` `setService(int index, Service vService)`
`void` `setService(Service[] serviceArray)`
`void` `setServiceCollection(java.util.Collection vService)`
`void` `setSpecific(int index, java.lang.String vSpecific)`
`void` `setSpecific(java.lang.String[] specificArray)`
`void` `setSpecificCollection(java.util.Collection vSpecific)`
`static Package` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _filter

    private Filter _filter

### _specificList

    private java.util.ArrayList _specificList

### _includeRangeList

    private java.util.ArrayList _includeRangeList

### _excludeRangeList

    private java.util.ArrayList _excludeRangeList

### _includeUrlList

    private java.util.ArrayList _includeUrlList

### _serviceList

    private java.util.ArrayList _serviceList

### _outageCalendarList

    private java.util.ArrayList _outageCalendarList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Package

    public Package()

Method Detail

### addExcludeRange

    public void addExcludeRange(ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addExcludeRange

    public void addExcludeRange(int index,
                                ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeRange

    public void addIncludeRange(IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeRange

    public void addIncludeRange(int index,
                                IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeUrl

    public void addIncludeUrl(java.lang.String vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeUrl

    public void addIncludeUrl(int index,
                              java.lang.String vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOutageCalendar

    public void addOutageCalendar(java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOutageCalendar

    public void addOutageCalendar(int index,
                                  java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addService

    public void addService(Service vService)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addService

    public void addService(int index,
                           Service vService)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSpecific

    public void addSpecific(java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSpecific

    public void addSpecific(int index,
                            java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearExcludeRange

    public void clearExcludeRange()

### clearIncludeRange

    public void clearIncludeRange()

### clearIncludeUrl

    public void clearIncludeUrl()

### clearOutageCalendar

    public void clearOutageCalendar()

### clearService

    public void clearService()

### clearSpecific

    public void clearSpecific()

### enumerateExcludeRange

    public java.util.Enumeration enumerateExcludeRange()

### enumerateIncludeRange

    public java.util.Enumeration enumerateIncludeRange()

### enumerateIncludeUrl

    public java.util.Enumeration enumerateIncludeUrl()

### enumerateOutageCalendar

    public java.util.Enumeration enumerateOutageCalendar()

### enumerateService

    public java.util.Enumeration enumerateService()

### enumerateSpecific

    public java.util.Enumeration enumerateSpecific()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExcludeRange

    public ExcludeRange getExcludeRange(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getExcludeRange

    public ExcludeRange[] getExcludeRange()

### getExcludeRangeCollection

    public java.util.Collection getExcludeRangeCollection()

### getExcludeRangeCount

    public int getExcludeRangeCount()

### getFilter

    public Filter getFilter()

  Returns the value of field 'filter'.

  Returns:
    the value of field 'filter'.

### getIncludeRange

    public IncludeRange getIncludeRange(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIncludeRange

    public IncludeRange[] getIncludeRange()

### getIncludeRangeCollection

    public java.util.Collection getIncludeRangeCollection()

### getIncludeRangeCount

    public int getIncludeRangeCount()

### getIncludeUrl

    public java.lang.String getIncludeUrl(int index)
                                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIncludeUrl

    public java.lang.String[] getIncludeUrl()

### getIncludeUrlCollection

    public java.util.Collection getIncludeUrlCollection()

### getIncludeUrlCount

    public int getIncludeUrlCount()

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getOutageCalendar

    public java.lang.String getOutageCalendar(int index)
                                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getOutageCalendar

    public java.lang.String[] getOutageCalendar()

### getOutageCalendarCollection

    public java.util.Collection getOutageCalendarCollection()

### getOutageCalendarCount

    public int getOutageCalendarCount()

### getService

    public Service getService(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getService

    public Service[] getService()

### getServiceCollection

    public java.util.Collection getServiceCollection()

### getServiceCount

    public int getServiceCount()

### getSpecific

    public java.lang.String getSpecific(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSpecific

    public java.lang.String[] getSpecific()

### getSpecificCollection

    public java.util.Collection getSpecificCollection()

### getSpecificCount

    public int getSpecificCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeExcludeRange

    public boolean removeExcludeRange(ExcludeRange vExcludeRange)

  Parameters:
    `vExcludeRange` -

### removeIncludeRange

    public boolean removeIncludeRange(IncludeRange vIncludeRange)

  Parameters:
    `vIncludeRange` -

### removeIncludeUrl

    public boolean removeIncludeUrl(java.lang.String vIncludeUrl)

  Parameters:
    `vIncludeUrl` -

### removeOutageCalendar

    public boolean removeOutageCalendar(java.lang.String vOutageCalendar)

  Parameters:
    `vOutageCalendar` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeService

    public boolean removeService(Service vService)

  Parameters:
    `vService` -

### removeSpecific

    public boolean removeSpecific(java.lang.String vSpecific)

  Parameters:
    `vSpecific` -

### setExcludeRange

    public void setExcludeRange(int index,
                                ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setExcludeRange

    public void setExcludeRange(ExcludeRange[] excludeRangeArray)

  Parameters:
    `excludeRangeArray` -

### setExcludeRangeCollection

    public void setExcludeRangeCollection(java.util.Collection vExcludeRange)

  Parameters:
    `vExcludeRange` -

### setFilter

    public void setFilter(Filter filter)

  Sets the value of field 'filter'.

  Parameters:
    `filter` - the value of field 'filter'.

### setIncludeRange

    public void setIncludeRange(int index,
                                IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIncludeRange

    public void setIncludeRange(IncludeRange[] includeRangeArray)

  Parameters:
    `includeRangeArray` -

### setIncludeRangeCollection

    public void setIncludeRangeCollection(java.util.Collection vIncludeRange)

  Parameters:
    `vIncludeRange` -

### setIncludeUrl

    public void setIncludeUrl(int index,
                              java.lang.String vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIncludeUrl

    public void setIncludeUrl(java.lang.String[] includeUrlArray)

  Parameters:
    `includeUrlArray` -

### setIncludeUrlCollection

    public void setIncludeUrlCollection(java.util.Collection vIncludeUrl)

  Parameters:
    `vIncludeUrl` -

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setOutageCalendar

    public void setOutageCalendar(int index,
                                  java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setOutageCalendar

    public void setOutageCalendar(java.lang.String[] outageCalendarArray)

  Parameters:
    `outageCalendarArray` -

### setOutageCalendarCollection

    public void setOutageCalendarCollection(java.util.Collection vOutageCalendar)

  Parameters:
    `vOutageCalendar` -

### setService

    public void setService(int index,
                           Service vService)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setService

    public void setService(Service[] serviceArray)

  Parameters:
    `serviceArray` -

### setServiceCollection

    public void setServiceCollection(java.util.Collection vService)

  Parameters:
    `vService` -

### setSpecific

    public void setSpecific(int index,
                            java.lang.String vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSpecific

    public void setSpecific(java.lang.String[] specificArray)

  Parameters:
    `specificArray` -

### setSpecificCollection

    public void setSpecificCollection(java.util.Collection vSpecific)

  Parameters:
    `vSpecific` -

### unmarshal

    public static Package unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.